Advertisement
grahamperrin

FreeBSD: installing packages that are required to build a port

Apr 11th, 2021
121
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 8.81 KB | None
  1. root@mowa219-gjp4-8570p:~ # git -C /usr/ports pull --ff-only && git -C /usr/src pull --ff-only
  2. Already up to date.
  3. Already up to date.
  4. root@mowa219-gjp4-8570p:~ # cd /usr/ports
  5. root@mowa219-gjp4-8570p:/usr/ports # make fetchindex
  6. /usr/bin/env fetch -am -o /usr/ports/INDEX-14.bz2 https://www.FreeBSD.org/ports/INDEX-14.bz2
  7. /usr/ports/INDEX-14.bz2 2271 kB 588 kBps 03s
  8. root@mowa219-gjp4-8570p:/usr/ports # cd java/linux-oracle-jdk18
  9. root@mowa219-gjp4-8570p:/usr/ports/java/linux-oracle-jdk18 # make pretty-print-build-depends-list
  10. This port requires package(s) "" to build.
  11. root@mowa219-gjp4-8570p:/usr/ports/java/linux-oracle-jdk18 # cd ../../www/firefox
  12. root@mowa219-gjp4-8570p:/usr/ports/www/firefox # make pretty-print-build-depends-list
  13. This port requires package(s) "adwaita-icon-theme-3.38.0 aom-3.0.0 argyllcms-1.9.2_5 at-spi2-atk-2.34.2 at-spi2-core-2.36.0 atk-2.36.0 autoconf-wrapper-20131203 autoconf213-2.13.000227_7 avahi-app-0.8 brotli-1.0.9,1 c-ares-1.17.1 ca_root_nss-3.63 cairo-1.16.0_1,3 celt-0.11.3_3 colord-1.3.5_1 consolekit2-1.2.1_2 cups-2.3.3op2 curl-7.75.0 dav1d-0.8.2_1 db5-5.3.28_7 dbus-1.12.20_3 dbus-glib-0.110 dejavu-2.37_1 desktop-file-utils-0.26 encodings-1.0.5,1 evdev-proto-5.8 expat-2.2.10 fftw3-3.3.9 fftw3-float-3.3.9 flac-1.3.3 font-bh-ttf-1.0.3_4 font-misc-ethiopic-1.0.4 font-misc-meltho-1.0.3_4 fontconfig-2.13.93,1 freetype2-2.10.4 fribidi-1.0.10 gdbm-1.19 gdk-pixbuf2-2.40.0 gettext-runtime-0.21 giflib-5.2.1 glib-2.66.7_1,1 gmake-4.3_2 gmp-6.2.1 gnome_subr-1.0 gnutls-3.6.15 graphite2-1.3.14 gsettings-desktop-schemas-3.38.0 gtk-update-icon-cache-3.24.26 gtk2-2.24.33 gtk3-3.24.27 harfbuzz-2.8.0 hicolor-icon-theme-0.17 icu-69.1,1 indexinfo-0.3.1 jackit-0.125.0_12 jbigkit-2.1_1 jpeg-turbo-2.0.6 lcms2-2.12 libICE-1.0.10,1 libSM-1.2.3,1 libX11-1.6.12,1 libXScrnSaver-1.2.3_2 libXau-1.0.9 libXcomposite-0.4.5,1 libXcursor-1.2.0 libXdamage-1.1.5 libXdmcp-1.1.3 libXext-1.3.4,1 libXfixes-5.0.3_2 libXft-2.3.3 libXi-1.7.10,1 libXinerama-1.1.4_2,1 libXrandr-1.5.2 libXrender-0.9.10_2 libXt-1.2.1,1 libXtst-1.2.3_2 libXxf86vm-1.1.4_3 libdaemon-0.14_1 libdrm-2.4.104,1 libedit-3.1.20210216,1 libepoll-shim-0.0.20210322 libepoxy-1.5.4 libevdev-1.9.1.20200928 libevent-2.1.12 libffi-3.3_1 libfontenc-1.1.4 libgcrypt-1.9.2_1 libgpg-error-1.42 libgsf-1.14.47_1 libiconv-1.16 libidn2-2.3.0_1 libltdl-2.4.6 liblz4-1.9.3,1 libnghttp2-1.43.0 libnotify-0.7.9_1 libogg-1.3.4,4 libpaper-1.1.24.4 libpciaccess-0.16 libpthread-stubs-0.4 librsvg2-rust-2.50.3_2 libsamplerate-0.2.1 libsndfile-1.0.31 libsoxr-0.1.3_2 libtasn1-4.16.0_1 libudev-devd-0.4.2_1 libunistring-0.9.10_1 libunwind-20201110 libuv-1.41.0 libvorbis-1.3.7_2,3 libvpx-1.10.0 libxcb-1.14_1 libxkbcommon-1.2.1 libxml2-2.9.10_3 libxshmfence-1.3 libxslt-1.1.34_1 llvm11-11.0.1 lua52-5.2.4 m4-1.4.18_1,1 mesa-libs-20.2.3 mkfontscale-1.2.1 nasm-2.15.05,1 nettle-3.7.2_1 node-15.14.0_1 nspr-4.30 nss-3.63 opus-1.3.1 orc-0.4.31 p11-kit-0.23.22_1 pango-1.42.4_5 pciids-20210223 pcre-8.44 perl5-5.32.1_1 pixman-0.40.0_1 pkgconf-1.7.4,1 png-1.6.37_1 polkit-0.118 pulseaudio-13.0_2 py27-sqlite3-2.7.18_7 py36-setuptools-44.0.0 python27-2.7.18_1 python36-3.6.13 python37-3.7.10 readline-8.1.0 rust-1.51.0 rust-cbindgen-0.19.0 shared-mime-info-2.0 sndio-1.7.0 speexdsp-1.2.0 spidermonkey78-78.7.0_3 sqlite3-3.34.1_1,1 tiff-4.2.0 tpm-emulator-0.7.4_2 trousers-0.3.14_3 v4l_compat-1.20.0 wayland-1.19.0 wayland-protocols-1.20 webp-1.2.0 webrtc-audio-processing0-0.3.1_2 xkeyboard-config-2.31 xorg-fonts-truetype-7.7_1 xorgproto-2020.1 yasm-1.3.0 zip-3.0_1 zstd-1.4.8" to build.
  14. root@mowa219-gjp4-8570p:/usr/ports/www/firefox # cd
  15. root@mowa219-gjp4-8570p:~ # pkg install --dry-run adwaita-icon-theme-3.38.0 aom-3.0.0 argyllcms-1.9.2_5 at-spi2-atk-2.34.2 at-spi2-core-2.36.0 atk-2.36.0 autoconf-wrapper-20131203 autoconf213-2.13.000227_7 avahi-app-0.8 brotli-1.0.9,1 c-ares-1.17.1 ca_root_nss-3.63 cairo-1.16.0_1,3 celt-0.11.3_3 colord-1.3.5_1 consolekit2-1.2.1_2 cups-2.3.3op2 curl-7.75.0 dav1d-0.8.2_1 db5-5.3.28_7 dbus-1.12.20_3 dbus-glib-0.110 dejavu-2.37_1 desktop-file-utils-0.26 encodings-1.0.5,1 evdev-proto-5.8 expat-2.2.10 fftw3-3.3.9 fftw3-float-3.3.9 flac-1.3.3 font-bh-ttf-1.0.3_4 font-misc-ethiopic-1.0.4 font-misc-meltho-1.0.3_4 fontconfig-2.13.93,1 freetype2-2.10.4 fribidi-1.0.10 gdbm-1.19 gdk-pixbuf2-2.40.0 gettext-runtime-0.21 giflib-5.2.1 glib-2.66.7_1,1 gmake-4.3_2 gmp-6.2.1 gnome_subr-1.0 gnutls-3.6.15 graphite2-1.3.14 gsettings-desktop-schemas-3.38.0 gtk-update-icon-cache-3.24.26 gtk2-2.24.33 gtk3-3.24.27 harfbuzz-2.8.0 hicolor-icon-theme-0.17 icu-69.1,1 indexinfo-0.3.1 jackit-0.125.0_12 jbigkit-2.1_1 jpeg-turbo-2.0.6 lcms2-2.12 libICE-1.0.10,1 libSM-1.2.3,1 libX11-1.6.12,1 libXScrnSaver-1.2.3_2 libXau-1.0.9 libXcomposite-0.4.5,1 libXcursor-1.2.0 libXdamage-1.1.5 libXdmcp-1.1.3 libXext-1.3.4,1 libXfixes-5.0.3_2 libXft-2.3.3 libXi-1.7.10,1 libXinerama-1.1.4_2,1 libXrandr-1.5.2 libXrender-0.9.10_2 libXt-1.2.1,1 libXtst-1.2.3_2 libXxf86vm-1.1.4_3 libdaemon-0.14_1 libdrm-2.4.104,1 libedit-3.1.20210216,1 libepoll-shim-0.0.20210322 libepoxy-1.5.4 libevdev-1.9.1.20200928 libevent-2.1.12 libffi-3.3_1 libfontenc-1.1.4 libgcrypt-1.9.2_1 libgpg-error-1.42 libgsf-1.14.47_1 libiconv-1.16 libidn2-2.3.0_1 libltdl-2.4.6 liblz4-1.9.3,1 libnghttp2-1.43.0 libnotify-0.7.9_1 libogg-1.3.4,4 libpaper-1.1.24.4 libpciaccess-0.16 libpthread-stubs-0.4 librsvg2-rust-2.50.3_2 libsamplerate-0.2.1 libsndfile-1.0.31 libsoxr-0.1.3_2 libtasn1-4.16.0_1 libudev-devd-0.4.2_1 libunistring-0.9.10_1 libunwind-20201110 libuv-1.41.0 libvorbis-1.3.7_2,3 libvpx-1.10.0 libxcb-1.14_1 libxkbcommon-1.2.1 libxml2-2.9.10_3 libxshmfence-1.3 libxslt-1.1.34_1 llvm11-11.0.1 lua52-5.2.4 m4-1.4.18_1,1 mesa-libs-20.2.3 mkfontscale-1.2.1 nasm-2.15.05,1 nettle-3.7.2_1 node-15.14.0_1 nspr-4.30 nss-3.63 opus-1.3.1 orc-0.4.31 p11-kit-0.23.22_1 pango-1.42.4_5 pciids-20210223 pcre-8.44 perl5-5.32.1_1 pixman-0.40.0_1 pkgconf-1.7.4,1 png-1.6.37_1 polkit-0.118 pulseaudio-13.0_2 py27-sqlite3-2.7.18_7 py36-setuptools-44.0.0 python27-2.7.18_1 python36-3.6.13 python37-3.7.10 readline-8.1.0 rust-1.51.0 rust-cbindgen-0.19.0 shared-mime-info-2.0 sndio-1.7.0 speexdsp-1.2.0 spidermonkey78-78.7.0_3 sqlite3-3.34.1_1,1 tiff-4.2.0 tpm-emulator-0.7.4_2 trousers-0.3.14_3 v4l_compat-1.20.0 wayland-1.19.0 wayland-protocols-1.20 webp-1.2.0 webrtc-audio-processing0-0.3.1_2 xkeyboard-config-2.31 xorg-fonts-truetype-7.7_1 xorgproto-2020.1 yasm-1.3.0 zip-3.0_1 zstd-1.4.8
  16. Updating FreeBSD repository catalogue...
  17. FreeBSD repository is up to date.
  18. Updating FreeBSD-base repository catalogue...
  19. FreeBSD-base repository is up to date.
  20. Updating poudriere repository catalogue...
  21. poudriere repository is up to date.
  22. All repositories are up to date.
  23. pkg: No packages available to install matching 'dav1d-0.8.2_1' have been found in the repositories
  24. pkg: No packages available to install matching 'icu-69.1,1' have been found in the repositories
  25. pkg: No packages available to install matching 'libxkbcommon-1.2.1' have been found in the repositories
  26. pkg: No packages available to install matching 'node-15.14.0_1' have been found in the repositories
  27. pkg: No packages available to install matching 'rust-cbindgen-0.19.0' have been found in the repositories
  28. pkg: No packages available to install matching 'spidermonkey78-78.7.0_3' have been found in the repositories
  29. pkg: No packages available to install matching 'sqlite3-3.34.1_1,1' have been found in the repositories
  30. root@mowa219-gjp4-8570p:~ # pkg install --dry-run dav1d icu libxkbcommon node rust-cbindgen spidermonkey78 sqlite3
  31. Updating FreeBSD repository catalogue...
  32. FreeBSD repository is up to date.
  33. Updating FreeBSD-base repository catalogue...
  34. FreeBSD-base repository is up to date.
  35. Updating poudriere repository catalogue...
  36. poudriere repository is up to date.
  37. All repositories are up to date.
  38. The following 2 package(s) will be affected (of 0 checked):
  39.  
  40. New packages to be INSTALLED:
  41. node: 15.12.0 [FreeBSD]
  42. rust-cbindgen: 0.18.0_1 [FreeBSD]
  43.  
  44. Number of packages to be installed: 2
  45.  
  46. The process will require 43 MiB more space.
  47. 9 MiB to be downloaded.
  48. root@mowa219-gjp4-8570p:~ # pkg install --dry-run adwaita-icon-theme-3.38.0
  49. Updating FreeBSD repository catalogue...
  50. FreeBSD repository is up to date.
  51. Updating FreeBSD-base repository catalogue...
  52. FreeBSD-base repository is up to date.
  53. Updating poudriere repository catalogue...
  54. poudriere repository is up to date.
  55. All repositories are up to date.
  56. Checking integrity... done (0 conflicting)
  57. The most recent versions of packages are already installed
  58. root@mowa219-gjp4-8570p:~ # pkg clean
  59. The following package files will be deleted:
  60. /var/cache/pkg/pam_ldap-186.txz
  61. /var/cache/pkg/pam_ldap-186~e067fbd68d.txz
  62. /var/cache/pkg/gexiv2-0.12.1~b3360a88b5.txz
  63. /var/cache/pkg/gexiv2-0.12.1.txz
  64. The cleanup will free 125 KiB
  65.  
  66. Proceed with cleaning the cache? [y/N]: y
  67. Deleting files: 100%
  68. All done
  69. root@mowa219-gjp4-8570p:~ #
  70.  
Advertisement
RAW Paste Data Copied
Advertisement